/*  $Id: WeakHashtable.java 1035 2010-06-15 13:08:33Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2002-2012 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.util;

/** 
 * Generic alternative to Observable.
 * This observable replacement has to goals :<br>
 * - no more cast is required because of generic defition.<br>
 * - Since this is an interface and not a class. There is no more
 * multiple heritence constraint.<br>
 * Observable implmentation must call its ObserverManager Notifiy method
 * each time a significant change relevant to obervers occurs.<br>
 * @see OberverManager
 * @djin.link notify,CObserverManager
 */
public interface Observable<T>
{
	/** 
	 * Get this observable observer registration manager.
 	 * @return the observer manager.
 	 */
	ObserverManager<T> getObserverManager();
}
