/*  $Id: TestStaticTranslator.java 1335 2012-08-25 13:27:49Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2002-2012 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package test;

import org.junit.*;
import static org.junit.Assert.*;

import net.eduvax.util.App;
import net.eduvax.util.DblDblStaticTranslator;

public class TestStaticTranslator {
    @Before public void setup() {
        App.init();
    }

	@Test public void testDblDbl()
    {
        StringBuffer defStr=new StringBuffer();
        defStr.append("1=100; 2 = 200 ; 3.5 = 350 ; \n");
        defStr.append("\t\t  4 = 400;\n");
        defStr.append("5=500;");
        DblDblStaticTranslator trans=new DblDblStaticTranslator();
        trans.fillTable(defStr.toString(),App.get().getErrHandler());
        assertTrue(100.0==trans.translate(1.0));
        assertTrue(200.0==trans.translate(2.0));
        assertTrue(350.0==trans.translate(3.5));
        assertTrue(400.0==trans.translate(4.0));
        assertTrue(500.0==trans.translate(5.0));
        assertTrue(Double.isNaN(trans.translate(42.0)));
    }

}
